Module java.base
Package java.lang

# Class NoSuchFieldException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.ReflectiveOperationException
java.lang.NoSuchFieldException

All Implemented Interfaces:
  `Serializable`

    public class NoSuchFieldException
    extends ReflectiveOperationException

Signals that the class doesn't have a field of a specified name.

Since:
  1.1
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`NoSuchFieldException()` | Constructor.
`NoSuchFieldException​(String s)` | Constructor with a detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSuchFieldException

public NoSuchFieldException()
Constructor.

### NoSuchFieldException

public NoSuchFieldException​(String s)
Constructor with a detail message.

Parameters:
  `s` - the detail message